# Cancel and Advanced Action Questions
source: https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md

The questions on this page support `CANCEL`, `CANCEL_WITH_BLOCK`, and [Advanced Action](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#advanced-actions) workflows. `CHANGE_PLAN` can reuse questions documented in the standard Cancel section. Its response may also include advanced questions such as `que_changeplan` and `que_abandon`.

Financial institutions use these question definitions to collect, pre-populate, display, and submit information required to process cardholder requests.
> \[!NOTE\]
>
> Use `isUserEditable` in the POST `/actions` response to determine whether the issuer experience should allow the cardholder to edit a survey element. A value of `true` means the cardholder can edit the value. A value of `false` means the financial institution supplies or controls the value.

Refer to the Display Behavior, Business Rules, and Component Fields sections for each Question ID for its specific display, population and validation requirements.

Survey questions vary by merchant, action type, and workflow state. Issuers must support all documented question and component-field types and dynamically process the survey elements returned by the API. Do not hardcode a fixed set or sequence of questions.
> \[!NOTE\]
>
> Unless explicitly identified as optional, questions and component fields should be treated as required when returned. New questions and component fields may initially be released as optional and become required in the future. Issuers are encouraged to support new elements when introduced to ensure a seamless transition as requirements evolve.

## Question Summary {#question-summary}

The following table lists the questions that may be returned for Cancel and Advanced Actions workflows. A question marked Required must be supported and populated when returned by the API. However, the actual question set varies by merchant and workflow, so a required question will not necessarily appear in every action response.

Unless otherwise stated, validation should assume required when the question or component field is returned. For specific validation requirements, refer to the documentation for each Question ID.

|                                                                                                                  Question ID                                                                                                                   |                  Label                  |                Required                 |                            Applies to                            |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------|-----------------------------------------|------------------------------------------------------------------|
| [que_fullname](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_fullname)                                               | Full name                               | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_contactnumber](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_contactnumber)                                     | Contact number                          | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_contactemail](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_contactemail)                                       | Contact email                           | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_birthdate](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_birthdate)                                             | Date of birth                           | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_servicephonenumber](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_servicephonenumber)                           | Phone number tied to the service        | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_merchantemail](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_merchantemail)                                     | Your account email                      | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_merchantemail_alternative_email](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_merchantemail_alternative_email) | Alternative email                       | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_6digits](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_6digits)                                                 | First 6 digits on the payment card      | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_4digits](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_4digits)                                                 | Last 4 digits on the payment card       | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_cardexpirationdate](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_cardexpirationdate)                           | Expiration date                         | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_merchantid](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_merchantid)                                           | Your membership ID                      | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_servicenumber](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_servicenumber)                                     | Your service or subscription number     | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_product](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_product)                                                 | Which services would you like to act on | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_useraddress](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_useraddress)                                         | Your address                            | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_postcode](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_postcode)                                               | Postcode                                | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_deliveryaddress](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_deliveryaddress)                                 | Delivery or installation address        | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_purchaselocation](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_purchaselocation)                               | Where did you buy the service?          | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_serviceusedat](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_serviceusedat)                                     | Where do you use the service?           | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_servicerenewaldate](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_servicerenewaldate)                           | Service renewal date                    | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_additionalinfo](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_additionalinfo)                                   | Additional information                  | Optional                                | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_guidecompleted](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_guidecompleted)                                   | Did you update your subscription?       | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_mostrecenttransaction](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_mostrecenttransaction)                     | Most recent transaction                 | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_cardacceptor](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_cardacceptor)                                       | Card acceptor information               | Yes                                     | `CANCEL`; may be reused by `CHANGE_PLAN` and `CANCEL_WITH_BLOCK` |
| [que_acceptoffer](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_acceptoffer)                                         | Accept offer                            | Yes for `CANCEL` advanced actions flows | `CANCEL` advanced flows                                          |
| [que_abandon](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_abandon)                                                 | Abandon                                 | Yes for `CANCEL` advanced actions flows | `CANCEL`, `CHANGE_PLAN` advanced flows                           |
| [que_changeplan](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#que_changeplan)                                           | Select a plan                           | Yes                                     | `CHANGE_PLAN`                                                    |

### Question Applicability {#question-applicability}

Questions in the standard Cancel section can be reused by `CHANGE_PLAN`. The [Advanced Actions](https://developer.mastercard.com/consumer-clarity/documentation/tutorials-and-guides/smart-subscriptions-action-types/cancel-and-advanced-action-questions/index.md#advanced-actions) section identifies questions that are specific to advanced flows. Confirm the exact question set returned by the API response for the action being implemented.

*** ** * ** ***

### que_fullname {#que_fullname}

Collects the cardholder first name and last name.

#### Field Details {#field-details}

|  Property   |              Value              |
|-------------|---------------------------------|
| Action Type | CANCEL                          |
| Question ID | que_fullname                    |
| Label       | Full name                       |
| Required    | Yes                             |
| Helper Text | None                            |
| Input Type  | Text string, composite FULLNAME |

#### Display Behavior {#display-behavior}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules}

* **Data population:** Financial institution, based on customer data

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### Component Fields {#component-fields}

|        Field ID         | Description | Required |
|-------------------------|-------------|----------|
| `que_fullname-txt_1001` | First name  | Yes      |
| `que_fullname-txt_1002` | Last name   | Yes      |

#### POST /actions Response Example {#post-actions-response-example}

```json
{
  "surveyElementType": "COMPOSITE",
  "compositeType": "FULLNAME",
  "elements": [
    {
      "surveyElementType": "INPUT",
      "inputFormatType": "FREEFORM",
      "isUserEditable": false,
      "id": "que_fullname-txt_1001",
      "prompt": "First name"
    },
    {
      "surveyElementType": "INPUT",
      "inputFormatType": "FREEFORM",
      "isUserEditable": false,
      "id": "que_fullname-txt_1002",
      "prompt": "Last name"
    }
  ],
  "prompt": "Full name"
}
```

#### PUT /actions Request Example {#put-actions-request-example}

```json
[
  {
    "surveyElementId": "que_fullname-txt_1001",
    "answer": "John"
  },
  {
    "surveyElementId": "que_fullname-txt_1002",
    "answer": "Doe"
  }
]
```

*** ** * ** ***

### que_contactnumber {#que_contactnumber}

Collects the cardholder contact phone number.

#### Field Details {#field-details-1}

|  Property   |       Value       |
|-------------|-------------------|
| Action Type | CANCEL            |
| Question ID | que_contactnumber |
| Label       | Contact number    |
| Required    | Yes               |
| Helper Text | None              |
| Input Type  | Phone number      |

#### Display Behavior {#display-behavior-1}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | No    |

#### Business Rules {#business-rules-1}

* **Data population:** Financial institution, based on customer data if available, otherwise user input

* **Validation:** Valid phone number format, for example 0114 282 9988

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-1}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "PHONE",
  "isUserEditable": false,
  "id": "que_contactnumber",
  "prompt": "Contact number"
}
```

#### PUT /actions Request Example {#put-actions-request-example-1}

```json
{
  "surveyElementId": "que_contactnumber",
  "answer": "0114 282 9988"
}
```

*** ** * ** ***

### que_contactemail {#que_contactemail}

Collects the cardholder contact email address.

#### Field Details {#field-details-2}

|  Property   |      Value       |
|-------------|------------------|
| Action Type | CANCEL           |
| Question ID | que_contactemail |
| Label       | Contact email    |
| Required    | Yes              |
| Helper Text | None             |
| Input Type  | Email address    |

#### Display Behavior {#display-behavior-2}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | No    |

#### Business Rules {#business-rules-2}

* **Data population:** Financial institution, based on customer data if available, otherwise user input

* **Validation:** Valid email address format

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-2}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "EMAIL",
  "isUserEditable": false,
  "id": "que_contactemail",
  "prompt": "Contact email"
}
```

#### PUT /actions Request Example {#put-actions-request-example-2}

```json
{
  "surveyElementId": "que_contactemail",
  "answer": "test@example.com"
}
```

*** ** * ** ***

### que_birthdate {#que_birthdate}

Collects the cardholder date of birth when required for identification or verification.

#### Field Details {#field-details-3}

|  Property   |     Value     |
|-------------|---------------|
| Action Type | CANCEL        |
| Question ID | que_birthdate |
| Label       | Date of birth |
| Required    | Yes           |
| Helper Text | None          |
| Input Type  | Date          |

#### Display Behavior {#display-behavior-3}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-3}

* **Data population:** Financial institution if available, otherwise user input

* **Validation:** Valid date

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-3}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "DATE",
  "isUserEditable": true,
  "id": "que_birthdate",
  "prompt": "Date of birth"
}
```

#### PUT /actions Request Example {#put-actions-request-example-3}

```json
{
  "surveyElementId": "que_birthdate",
  "answer": "2001-01-01"
}
```

*** ** * ** ***

### que_servicephonenumber {#que_servicephonenumber}

Collects the phone number associated with the service or subscription account.

#### Field Details {#field-details-4}

|  Property   |              Value               |
|-------------|----------------------------------|
| Action Type | CANCEL                           |
| Question ID | que_servicephonenumber           |
| Label       | Phone number tied to the service |
| Required    | Yes                              |
| Helper Text | None                             |
| Input Type  | Phone number                     |

#### Display Behavior {#display-behavior-4}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-4}

* **Data population:** User

* **Validation:** Valid phone number format, for example 0114 282 9988

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-4}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "PHONE",
  "isUserEditable": true,
  "id": "que_servicephonenumber",
  "prompt": "Phone number tied to the service"
}
```

#### PUT /actions Request Example {#put-actions-request-example-4}

```json
{
  "surveyElementId": "que_servicephonenumber",
  "answer": "0114 282 9988"
}
```

*** ** * ** ***

### que_merchantemail {#que_merchantemail}

Collects the email address associated with the service account.

#### Field Details {#field-details-5}

|  Property   |       Value        |
|-------------|--------------------|
| Action Type | CANCEL             |
| Question ID | que_merchantemail  |
| Label       | Your account email |
| Required    | Yes                |
| Helper Text | None               |
| Input Type  | Email address      |

#### Display Behavior {#display-behavior-5}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-5}

* **Data population:** Financial institution if available, otherwise user input. Prompt the user to review the email address before submission.

* **Validation:** Valid email address

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-5}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "EMAIL",
  "isUserEditable": true,
  "id": "que_merchantemail-txt_1008",
  "prompt": "Your <service> account email"
}
```

#### PUT /actions Request Example {#put-actions-request-example-5}

```json
{
  "surveyElementId": "que_merchantemail-txt_1008",
  "answer": "test@example.com"
}
```

*** ** * ** ***

### que_merchantemail_alternative_email {#que_merchantemail_alternative_email}

Collects an optional alternative email address for the service account.

#### Field Details {#field-details-6}

|  Property   |                Value                |
|-------------|-------------------------------------|
| Action Type | CANCEL                              |
| Question ID | que_merchantemail_alternative_email |
| Label       | Alternative email                   |
| Required    | No                                  |
| Helper Text | None                                |
| Input Type  | Email address                       |

#### Display Behavior {#display-behavior-6}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-6}

* **Data population:** User, optional field

* **Validation:** Valid email address

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-6}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "EMAIL",
  "isUserEditable": true,
  "id": "que_merchantemail-txt_1049",
  "prompt": "Alternative email"
}
```

#### PUT /actions Request Example {#put-actions-request-example-6}

```json
{
  "surveyElementId": "que_merchantemail-txt_1049",
  "answer": "test@example.com"
}
```

*** ** * ** ***

### que_6digits {#que_6digits}

Provides the first six digits of the payment card used for the subscription.

#### Field Details {#field-details-7}

|  Property   |                                Value                                 |
|-------------|----------------------------------------------------------------------|
| Action Type | CANCEL                                                               |
| Question ID | que_6digits                                                          |
| Label       | First 6 digits on the payment card                                   |
| Required    | Yes                                                                  |
| Helper Text | First 6 digits on payment card you used to pay for the subscription. |
| Input Type  | Not applicable                                                       |

#### Display Behavior {#display-behavior-7}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules-7}

* **Data population:** Financial institution based on transaction data

* This question is not shown to the cardholder.

* The financial institution supplies the value from transaction data.

#### POST /actions Response Example {#post-actions-response-example-7}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": false,
  "id": "que_6digits",
  "prompt": "First 6 digits on the payment card"
}
```

#### PUT /actions Request Example {#put-actions-request-example-7}

```json
{
  "surveyElementId": "que_6digits",
  "answer": "1111111"
}
```

*** ** * ** ***

### que_4digits {#que_4digits}

Provides the last four digits of the payment card used for the subscription.

#### Field Details {#field-details-8}

|  Property   |                                  Value                                  |
|-------------|-------------------------------------------------------------------------|
| Action Type | CANCEL                                                                  |
| Question ID | que_4digits                                                             |
| Label       | Last 4 digits on the payment card                                       |
| Required    | Yes                                                                     |
| Helper Text | Last 4 digits on the payment card you used to pay for the subscription. |
| Input Type  | Not applicable                                                          |

#### Display Behavior {#display-behavior-8}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules-8}

* **Data population:** Financial institution based on transaction data

* This question is not shown to the cardholder.

* The financial institution supplies the value from transaction data.

#### POST /actions Response Example {#post-actions-response-example-8}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": false,
  "id": "que_4digits",
  "prompt": "Last 4 digits on the payment card"
}
```

#### PUT /actions Request Example {#put-actions-request-example-8}

```json
{
  "surveyElementId": "que_4digits",
  "answer": "1111"
}
```

*** ** * ** ***

### que_cardexpirationdate {#que_cardexpirationdate}

Provides the expiration date for the payment card used for the subscription.

#### Field Details {#field-details-9}

|  Property   |                                     Value                                     |
|-------------|-------------------------------------------------------------------------------|
| Action Type | CANCEL                                                                        |
| Question ID | que_cardexpirationdate                                                        |
| Label       | Expiration date                                                               |
| Required    | Yes                                                                           |
| Helper Text | Expiry date written on the payment card you used to pay for the subscription. |
| Input Type  | Not applicable                                                                |

#### Display Behavior {#display-behavior-9}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules-9}

* **Data population:** Financial institution based on transaction data

* This question is not shown to the cardholder.

* The financial institution supplies the value from transaction data.

#### POST /actions Response Example {#post-actions-response-example-9}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "DATE",
  "isUserEditable": false,
  "id": "que_cardexpirationdate",
  "prompt": "Expiration date"
}
```

#### PUT /actions Request Example {#put-actions-request-example-9}

```json
{
  "surveyElementId": "que_cardexpirationdate",
  "answer": "2027-01"
}
```

*** ** * ** ***

### que_merchantid {#que_merchantid}

Collects an identifier that uniquely maps the cardholder account to the service.

#### Field Details {#field-details-10}

|  Property   |                                                    Value                                                     |
|-------------|--------------------------------------------------------------------------------------------------------------|
| Action Type | CANCEL                                                                                                       |
| Question ID | que_merchantid                                                                                               |
| Label       | Your membership ID                                                                                           |
| Required    | Yes                                                                                                          |
| Helper Text | A membership ID, customer ID, username, or customer number that uniquely maps your account with the service. |
| Input Type  | Text string                                                                                                  |

#### Display Behavior {#display-behavior-10}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-10}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-10}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_merchantid",
  "prompt": "Your membership ID"
}
```

#### PUT /actions Request Example {#put-actions-request-example-10}

```json
{
  "surveyElementId": "que_merchantid",
  "answer": "ABC1234"
}
```

*** ** * ** ***

### que_servicenumber {#que_servicenumber}

Collects a service, subscription, policy, order, transaction, or card number associated with the subscription.

#### Field Details {#field-details-11}

|  Property   |                                                                 Value                                                                  |
|-------------|----------------------------------------------------------------------------------------------------------------------------------------|
| Action Type | CANCEL                                                                                                                                 |
| Question ID | que_servicenumber                                                                                                                      |
| Label       | Your service or subscription number                                                                                                    |
| Required    | Yes                                                                                                                                    |
| Helper Text | For example, a subscription number, policy number, order number, transaction number, or card number found in the customer transaction. |
| Input Type  | Text string                                                                                                                            |

#### Display Behavior {#display-behavior-11}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-11}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-11}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_servicenumber",
  "prompt": "Your service or subscription number"
}
```

#### PUT /actions Request Example {#put-actions-request-example-11}

```json
{
  "surveyElementId": "que_servicenumber",
  "answer": "12345678"
}
```

*** ** * ** ***

### que_product {#que_product}

Identifies the product or service that the cardholder wants to cancel or manage.

#### Field Details {#field-details-12}

|  Property   |                                                       Value                                                        |
|-------------|--------------------------------------------------------------------------------------------------------------------|
| Action Type | CANCEL                                                                                                             |
| Question ID | que_product                                                                                                        |
| Label       | Which services would you like to act on                                                                            |
| Required    | Yes                                                                                                                |
| Helper Text | Name of the products to manage such as magazine titles, TV subscriptions, SIM cards, product insurance, and so on. |
| Input Type  | Text string                                                                                                        |

#### Display Behavior {#display-behavior-12}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-12}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-12}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_product",
  "prompt": "Which services would you like to act on?"
}
```

#### PUT /actions Request Example {#put-actions-request-example-12}

```json
{
  "surveyElementId": "que_product",
  "answer": "Membership Plan"
}
```

*** ** * ** ***

### que_useraddress {#que_useraddress}

Collects the cardholder home or billing address.

#### Field Details {#field-details-13}

|  Property   |                      Value                      |
|-------------|-------------------------------------------------|
| Action Type | CANCEL                                          |
| Question ID | que_useraddress                                 |
| Label       | Your address                                    |
| Required    | Yes                                             |
| Helper Text | Your home or billing address.                   |
| Input Type  | Text string, multiple fields, composite ADDRESS |

#### Display Behavior {#display-behavior-13}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-13}

* **Data population:** Financial institution if available, otherwise user input. Prompt the user to review the address before submission.

* **Validation:** Possible validation for ZIP code or postal code, street, and country. The required component fields must be present and non-empty.

* This question uses a composite address structure.

* If the financial institution pre-populates the address, the cardholder should be prompted to review it before submission.

#### Component Fields {#component-fields-1}

|          Field ID          |    Description    | Required |
|----------------------------|-------------------|----------|
| `que_useraddress-txt_1023` | Street and number | Yes      |
| `que_useraddress-txt_1024` | Apt, suite, etc.  | Optional |
| `que_useraddress-txt_1025` | City              | Yes      |
| `que_useraddress-txt_1026` | State             | Optional |
| `que_useraddress-txt_1027` | Country           | Optional |
| `que_useraddress-txt_1028` | ZIP code          | Yes      |

#### POST /actions Response Example {#post-actions-response-example-13}

```json
{
  "surveyElementType": "COMPOSITE",
  "compositeType": "ADDRESS",
  "elements": [
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1023", "prompt": "Street and number", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1024", "prompt": "Apt, suite, etc.", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1025", "prompt": "City", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1026", "prompt": "State", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1027", "prompt": "Country", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_useraddress-txt_1028", "prompt": "ZIP code", "isUserEditable": true }
  ],
  "prompt": "Your address",
  "elementDescription": "For example your home or billing address."
}
```

#### PUT /actions Request Example {#put-actions-request-example-13}

```json
[
  { "surveyElementId": "que_useraddress-txt_1023", "answer": "12 Example Street" },
  { "surveyElementId": "que_useraddress-txt_1024", "answer": "Flat 3" },
  { "surveyElementId": "que_useraddress-txt_1025", "answer": "London" },
  { "surveyElementId": "que_useraddress-txt_1026", "answer": "" },
  { "surveyElementId": "que_useraddress-txt_1027", "answer": "United Kingdom" },
  { "surveyElementId": "que_useraddress-txt_1028", "answer": "SW1A 0AA" }
]
```

*** ** * ** ***

### que_postcode {#que_postcode}

Collects the postal code associated with the cardholder service account.

#### Field Details {#field-details-14}

|  Property   |                              Value                               |
|-------------|------------------------------------------------------------------|
| Action Type | CANCEL                                                           |
| Question ID | que_postcode                                                     |
| Label       | Postcode                                                         |
| Required    | Yes                                                              |
| Helper Text | Postal code registered with the service account billing profile. |
| Input Type  | Text string                                                      |

#### Display Behavior {#display-behavior-14}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-14}

* **Data population:** Financial institution if available, otherwise user input. Prompt the user to review the value before submission.

* **Validation:** Valid ZIP code or postcode

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-14}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_postcode",
  "prompt": "Postcode"
}
```

#### PUT /actions Request Example {#put-actions-request-example-14}

```json
{
  "surveyElementId": "que_postcode",
  "answer": "SW7 1EL"
}
```

*** ** * ** ***

### que_deliveryaddress {#que_deliveryaddress}

Collects the address where the service was delivered or installed.

#### Field Details {#field-details-15}

|  Property   |                           Value                            |
|-------------|------------------------------------------------------------|
| Action Type | CANCEL                                                     |
| Question ID | que_deliveryaddress                                        |
| Label       | Delivery or installation address                           |
| Required    | Yes                                                        |
| Helper Text | Address where the service has been delivered or installed. |
| Input Type  | Text string, multiple fields, composite ADDRESS            |

#### Display Behavior {#display-behavior-15}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-15}

* **Data population:** Financial institution if available, otherwise user input. Prompt the user to review the address before submission.

* **Validation:** Possible validation for ZIP code or postal code, street, and country. The required component fields must be present and non-empty.

* This question uses a composite address structure.

* If the financial institution pre-populates the address, the cardholder should be prompted to review it before submission.

#### Component Fields {#component-fields-2}

|            Field ID            |    Description    | Required |
|--------------------------------|-------------------|----------|
| `que_deliveryaddress-txt_1023` | Street and number | Yes      |
| `que_deliveryaddress-txt_1024` | Apt, suite, etc.  | Optional |
| `que_deliveryaddress-txt_1025` | City              | Yes      |
| `que_deliveryaddress-txt_1026` | State             | Optional |
| `que_deliveryaddress-txt_1027` | Country           | Optional |
| `que_deliveryaddress-txt_1028` | Postcode          | Yes      |

#### POST /actions Response Example {#post-actions-response-example-15}

```json
{
  "surveyElementType": "COMPOSITE",
  "compositeType": "ADDRESS",
  "elements": [
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1023", "prompt": "Street and number", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1024", "prompt": "Apt, suite, etc.", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1025", "prompt": "City", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1026", "prompt": "State", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1027", "prompt": "Country", "isUserEditable": true },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_deliveryaddress-txt_1028", "prompt": "Postcode", "isUserEditable": true }
  ],
  "prompt": "Address where it's delivered or installed"
}
```

#### PUT /actions Request Example {#put-actions-request-example-15}

```json
[
  { "surveyElementId": "que_deliveryaddress-txt_1023", "answer": "12 Example Street" },
  { "surveyElementId": "que_deliveryaddress-txt_1024", "answer": "Flat 3" },
  { "surveyElementId": "que_deliveryaddress-txt_1025", "answer": "London" },
  { "surveyElementId": "que_deliveryaddress-txt_1026", "answer": "" },
  { "surveyElementId": "que_deliveryaddress-txt_1027", "answer": "United Kingdom" },
  { "surveyElementId": "que_deliveryaddress-txt_1028", "answer": "SW1A 0AA" }
]
```

*** ** * ** ***

### que_purchaselocation {#que_purchaselocation}

Collects where the cardholder purchased the service.

#### Field Details {#field-details-16}

|  Property   |                                  Value                                   |
|-------------|--------------------------------------------------------------------------|
| Action Type | CANCEL                                                                   |
| Question ID | que_purchaselocation                                                     |
| Label       | Where did you buy the service?                                           |
| Required    | Yes                                                                      |
| Helper Text | For example, location or store name, office address, or online referral. |
| Input Type  | Text string                                                              |

#### Display Behavior {#display-behavior-16}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-16}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-16}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_purchaselocation",
  "prompt": "Where did you buy the service?"
}
```

#### PUT /actions Request Example {#put-actions-request-example-16}

```json
{
  "surveyElementId": "que_purchaselocation",
  "answer": "London"
}
```

*** ** * ** ***

### que_serviceusedat {#que_serviceusedat}

Collects the location where the cardholder uses the service.

#### Field Details {#field-details-17}

|  Property   |                    Value                     |
|-------------|----------------------------------------------|
| Action Type | CANCEL                                       |
| Question ID | que_serviceusedat                            |
| Label       | Where do you use the service?                |
| Required    | Yes                                          |
| Helper Text | The location name where the service is used. |
| Input Type  | Text string                                  |

#### Display Behavior {#display-behavior-17}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-17}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-17}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_serviceusedat",
  "prompt": "Where do you use the service?"
}
```

#### PUT /actions Request Example {#put-actions-request-example-17}

```json
{
  "surveyElementId": "que_serviceusedat",
  "answer": "London"
}
```

*** ** * ** ***

### que_servicerenewaldate {#que_servicerenewaldate}

Collects the date when the service was last renewed.

#### Field Details {#field-details-18}

|  Property   |                  Value                  |
|-------------|-----------------------------------------|
| Action Type | CANCEL                                  |
| Question ID | que_servicerenewaldate                  |
| Label       | Service renewal date                    |
| Required    | Yes                                     |
| Helper Text | Date when the service was last renewed. |
| Input Type  | Date, for example 2022-01-18            |

#### Display Behavior {#display-behavior-18}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-18}

* **Data population:** User

* **Validation:** Not recommended

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-18}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "DATE",
  "isUserEditable": true,
  "id": "que_servicerenewaldate",
  "prompt": "Service renewal date"
}
```

#### PUT /actions Request Example {#put-actions-request-example-18}

```json
{
  "surveyElementId": "que_servicerenewaldate",
  "answer": "2026-01-01"
}
```

*** ** * ** ***

### que_additionalinfo {#que_additionalinfo}

Allows the cardholder to provide additional context that may help process the subscription request.

#### Field Details {#field-details-19}

|  Property   |         Value          |
|-------------|------------------------|
| Action Type | CANCEL                 |
| Question ID | que_additionalinfo     |
| Label       | Additional information |
| Required    | No                     |
| Helper Text | None                   |
| Input Type  | Text string            |

#### Display Behavior {#display-behavior-19}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-19}

* **Data population:** User

* Required fields must be answered before the Cancel action can be submitted.

* Values may be pre-populated by the financial institution when available, unless the field is user-provided.

#### POST /actions Response Example {#post-actions-response-example-19}

```json
{
  "surveyElementType": "INPUT",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true,
  "id": "que_additionalinfo",
  "prompt": "Please add any additional information that will help us to manage your subscription."
}
```

#### PUT /actions Request Example {#put-actions-request-example-19}

```json
{
  "surveyElementId": "que_additionalinfo",
  "answer": "lorem ipsum"
}
```

*** ** * ** ***

### que_guidecompleted {#que_guidecompleted}

Applies only to MERCHANT_GUIDE cancellations where the cardholder can indicate whether the cancellation was completed through self-service.

#### Field Details {#field-details-20}

|  Property   |               Value               |
|-------------|-----------------------------------|
| Action Type | CANCEL                            |
| Question ID | que_guidecompleted                |
| Label       | Did you update your subscription? |
| Required    | Yes                               |
| Helper Text | None                              |
| Input Type  | Yes/No binary response            |

#### Display Behavior {#display-behavior-20}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-20}

* **Data population:** User

* This question applies to guided cancellation methods only.

* The answer indicates whether the cardholder completed the subscription update through self-service.

#### POST /actions Response Example {#post-actions-response-example-20}

```json
{
  "surveyElementType": "OPTIONS",
  "multiselect": false,
  "options": [
    { "code": "N", "value": "No" },
    { "code": "Y", "value": "Yes" }
  ],
  "id": "que_guidecompleted",
  "prompt": "Did you update your subscription?"
}
```

#### PUT /actions Request Example {#put-actions-request-example-20}

```json
{
  "surveyElementAnswer": {
    "elementAnswers": [
      {
        "surveyElementId": "que_guidecompleted",
        "answer": "Yes"
      }
    ]
  }
}
```

*** ** * ** ***

### que_mostrecenttransaction {#que_mostrecenttransaction}

Provides details about the most recent transaction associated with the subscription.

#### Field Details {#field-details-21}

|  Property   |                 Value                 |
|-------------|---------------------------------------|
| Action Type | CANCEL                                |
| Question ID | que_mostrecenttransaction             |
| Label       | Most recent transaction               |
| Required    | Yes                                   |
| Helper Text | None                                  |
| Input Type  | Not applicable, composite TRANSACTION |

#### Display Behavior {#display-behavior-21}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules-21}

* **Data population:** Financial institution based on the latest transaction linked to the subscription

* This question is not shown to the cardholder.

* The financial institution supplies the value from transaction data.

#### Component Fields {#component-fields-3}

These fields will become required soon, so we recommend that you implement support for them now.

|               Field ID               |                       Description                       | Required |
|--------------------------------------|---------------------------------------------------------|----------|
| `que_mostrecenttransaction-txt_1044` | Date of the most recent transaction                     | Optional |
| `que_mostrecenttransaction-txt_1045` | Amount in cents of the most recent transaction          | Optional |
| `que_mostrecenttransaction-txt_1046` | Currency of the most recent transaction in ISO standard | Optional |
| `que_mostrecenttransaction-txt_1047` | Transaction identifier                                  | Optional |
| `que_mostrecenttransaction-txt_1048` | Transaction reference details                           | Optional |
| `que_mostrecenttransaction-txt_1069` | Acquirer Reference Number                               | Optional |
| `que_mostrecenttransaction-txt_1070` | Authorization Code                                      | Optional |
| `que_mostrecenttransaction-txt_1071` | Transaction ID type                                     | Optional |

#### POST /actions Response Example {#post-actions-response-example-21}

```json
{
  "surveyElementType": "COMPOSITE",
  "compositeType": "TRANSACTION",
  "elements": [
    { "surveyElementType": "INPUT", "inputFormatType": "DATE", "id": "que_mostrecenttransaction-txt_1044", "prompt": "The date of the most recent transaction", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1045", "prompt": "Amount (in cents) of the most recent transaction", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1046", "prompt": "Currency of the most recent transaction in the ISO standard", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1047", "prompt": "Transaction identifier", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1048", "prompt": "Transaction reference details", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1069", "prompt": "Acquirer Reference Number", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1070", "prompt": "Authorization Code", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_mostrecenttransaction-txt_1071", "prompt": "Transaction ID type", "isUserEditable": false }
  ],
  "prompt": "Most recent transaction"
}
```

#### PUT /actions Request Example {#put-actions-request-example-21}

```json
[
  { "surveyElementId": "que_mostrecenttransaction-txt_1044", "answer": "2025-05-05" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1045", "answer": "12500" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1046", "answer": "GBP" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1047", "answer": "TXN-ABC-123" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1048", "answer": "Online purchase of widgets" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1069", "answer": "2934750927475938375856068372729496783850283" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1070", "answer": "12321kljdaidnasd01ndas" },
  { "surveyElementId": "que_mostrecenttransaction-txt_1071", "answer": "BANKNET_REF_NUM" }
]
```

*** ** * ** ***

### que_cardacceptor {#que_cardacceptor}

Provides card acceptor details from the latest subscription transaction.

#### Field Details {#field-details-22}

|  Property   |                 Value                  |
|-------------|----------------------------------------|
| Action Type | CANCEL                                 |
| Question ID | que_cardacceptor                       |
| Label       | Card acceptor information              |
| Required    | Yes                                    |
| Helper Text | None                                   |
| Input Type  | Not applicable, composite CARDACCEPTOR |

#### Display Behavior {#display-behavior-22}

|   Property    | Value |
|---------------|-------|
| Shown on Form | No    |
| User Editable | No    |

#### Business Rules {#business-rules-22}

* **Data population:** Financial institution based on the latest transaction linked to the subscription

* This question is not shown to the cardholder.

* The financial institution supplies the value from transaction data.

#### Component Fields {#component-fields-4}

|          Field ID           |        Description         |              Required               |
|-----------------------------|----------------------------|-------------------------------------|
| `que_cardacceptor-txt_1076` | Card acceptor identifier   | Optional (at least one is required) |
| `que_cardacceptor-txt_1077` | Card acceptor name         | Optional (at least one is required) |
| `que_cardacceptor-txt_1078` | Card acceptor location     | Optional (at least one is required) |
| `que_cardacceptor-txt_1079` | Card acceptor region       | Optional (at least one is required) |
| `que_cardacceptor-txt_1080` | Card acceptor country code | Optional (at least one is required) |

#### POST /actions Response Example {#post-actions-response-example-22}

```json
{
  "surveyElementType": "COMPOSITE",
  "compositeType": "CARDACCEPTOR",
  "elements": [
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_cardacceptor-txt_1076", "prompt": "The card acceptor identifier", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_cardacceptor-txt_1077", "prompt": "The card acceptor name", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_cardacceptor-txt_1078", "prompt": "The card acceptor location", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_cardacceptor-txt_1079", "prompt": "The card acceptor region", "isUserEditable": false },
    { "surveyElementType": "INPUT", "inputFormatType": "FREEFORM", "id": "que_cardacceptor-txt_1080", "prompt": "The card acceptor country code", "isUserEditable": false }
  ],
  "prompt": "Card Acceptor Information"
}
```

#### PUT /actions Request Example {#put-actions-request-example-22}

```json
[
  { "surveyElementId": "que_cardacceptor-txt_1076", "answer": "1123i109i213" },
  { "surveyElementId": "que_cardacceptor-txt_1077", "answer": "Streaming Service" },
  { "surveyElementId": "que_cardacceptor-txt_1078", "answer": "Brooklyn" },
  { "surveyElementId": "que_cardacceptor-txt_1079", "answer": "New York" },
  { "surveyElementId": "que_cardacceptor-txt_1080", "answer": "US" }
]
```

*** ** * ** ***

## Advanced Actions {#advanced-actions}

Advanced actions reuse standard questions where applicable and add the action-specific questions below.

### que_acceptoffer {#que_acceptoffer}

Captures whether the cardholder accepts an offer during an advanced Cancel flow.

#### Field Details {#field-details-23}

|  Property   |           Value           |
|-------------|---------------------------|
| Action Type | `CANCEL`                  |
| Question ID | `que_acceptoffer`         |
| Required    | Yes, for Advanced actions |
| Input Type  | String                    |

#### Display Behavior {#display-behavior-23}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-23}

* **Data population:** The cardholder supplies the value.
* The response records whether the cardholder accepted the offer.

#### POST /actions Response Example {#post-actions-response-example-23}

```json
{
  "id": "que_acceptoffer",
  "surveyElementType": "INPUT",
  "prompt": "Do you accept the offer?",
  "inputFormatType": "FREEFORM",
  "isUserEditable": true
}
```

#### PUT /actions Request Example {#put-actions-request-example-23}

```json
{
  "surveyElementId": "que_acceptoffer",
  "answer": "Yes"
}
```

### que_abandon {#que_abandon}

Indicates whether the cardholder abandoned or exited an advanced action flow.

#### Field Details {#field-details-24}

|  Property   |          Value          |
|-------------|-------------------------|
| Action Type | `CANCEL`, `CHANGE_PLAN` |
| Question ID | `que_abandon`           |
| Required    | No                      |
| Input Type  | Single-select option    |

#### Display Behavior {#display-behavior-24}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-24}

* **Data population:** The cardholder supplies the value.
* This optional question records whether the cardholder abandoned the advanced action flow.

#### POST /actions Response Example {#post-actions-response-example-24}

```json
{
  "surveyElementType": "OPTIONS",
  "multiselect": false,
  "options": [
    { "code": "N", "value": "No" },
    { "code": "Y", "value": "Yes" }
  ],
  "id": "que_abandon",
  "prompt": "Abandon?",
  "isUserEditable": true
}
```

#### PUT /actions Request Example {#put-actions-request-example-24}

```json
{
  "surveyElementId": "que_abandon",
  "answer": "Yes"
}
```

### que_changeplan {#que_changeplan}

Allows the cardholder to select an available subscription plan during a `CHANGE_PLAN` action.

#### Field Details {#field-details-25}

|  Property   |         Value          |
|-------------|------------------------|
| Action Type | `CHANGE_PLAN`          |
| Question ID | `que_changeplan`       |
| Required    | Yes, for `CHANGE_PLAN` |
| Input Type  | Single-select option   |

#### Display Behavior {#display-behavior-25}

|   Property    | Value |
|---------------|-------|
| Shown on Form | Yes   |
| User Editable | Yes   |

#### Business Rules {#business-rules-25}

* **Data population:** The cardholder selects from the plans returned in the action response.
* The response can include plan details and identify the current plan so the issuer experience can present the available choices.
* Submit the selected plan option in the request.

#### POST /actions Response Example {#post-actions-response-example-25}

```json
{
  "actionOptionsSurvey": {
    "surveyName": "Action Questionnaire",
    "elements": [
      {
        "surveyElementType": "OPTIONS",
        "multiselect": false,
        "id": "que_changeplan",
        "prompt": "Select a plan",
        "isUserEditable": true
      },
      {
        "surveyElementType": "OPTIONS",
        "multiselect": false,
        "options": [
          { "code": "N", "value": "No" },
          { "code": "Y", "value": "Yes" }
        ],
        "id": "que_abandon",
        "prompt": "Abandon?",
        "isUserEditable": true
      }
    ]
  }
}
```

#### PUT /actions Request Example {#put-actions-request-example-25}

```json
{
  "actionOptionsSurveyAnswers": {
    "responses": [
      {
        "surveyElementId": "que_changeplan",
        "answer": "opt_00000000-0003-4000-8000-000000200000"
      }
    ]
  },
  "requestor": {
    "id": "QPGCK9REQUESTER",
    "name": "Ethoca Bank"
  }
}
```

